package cn.reghao.tnb.common.auth;

/**
 * @author reghao
 * @date 2024-02-14 19:13:18
 */
public enum AccountRole {
    disk("ROLE_TNB_DISK", "tnb_disk"),
    user("ROLE_TNB_USER", "tnb_user"),
    admin("ROLE_TNB_ADMIN", "tnb_admin");

    private final String value;
    private final String desc;
    AccountRole(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getName() {
        return this.name();
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
